Subject: Re: BGP spec and IDR WG charter

From: Alex Zinin <[email-masked]>
Date: Thu, 5 Sep 2002 00:40:23 +0200

Folks-

Regarding the review team mentioned below--

Friday, August 23, 2002, 1:11:10 AM, Bill Fenner wrote:
...
> [**] In further support of the goal of having a quality specification
> that reflects current reality, the ADs have been working on assembling
> a team of reviewers that consists primarily of protocol implementors,
> who have committed their time to examine the spec.  We will be
> sending another message to this list explaining the details of how
> this team will do its work.

--today I have pinged about a dozen people who promised to commit
some time to review the spec, and asked them to help with the FSM
text review posted by Sue. Hopefully we will see more activity
on the list in the following two weeks and later when the complete
spec goes for the LC.

For people who have not been explicitly pinged and who feel capable of
contributing to the protocol specification--please consider this
message as the invitation from the ADs to review the spec and provide
your comments. Please send your comments to the list, or (if you do
not feel comfortable speaking up on the list for some reason), send
them to the chairs and/or the ADs instead, we'll be able to function
as proxy if valid issues are raised.

A small request to the reviewers--when looking at the spec, please
evaluate it from the perspective of being sufficient to implement the
protocol if the reader is not familiar with the protocol, whether it
really reflects what your code is doing or what you know other
implementations do, whether one would need to reverse engineer things
to write an implementation, etc.

Cheers,
Alex

---

From: Yakov Rekhter <[email-masked]>
Date: Thu, 05 Sep 2002 05:44:44 -0700

Alex,

> on the list in the following two weeks and later when the complete

Did you get from these folks timeline for when they'll be able to
finish the review ?

Yakov.

---

From: Yakov Rekhter <[email-masked]>
Date: Thu, 05 Sep 2002 06:01:43 -0700

Bill,

Few questions on the charter proposed by you and Alex:

1. Any reason the charter doesn't include BGP Graceful Restart ?

2. Any reason the charter doesn't mention draft-ietf-idr-md5-keys-00.txt ?
   (The WG sent it to the IESG beginning of June 2002)

3. The WG completed the work on the extended communities and submitted 
   the draft to the IESG 3 weeks before you informed the WG
   about the Routing Area Directors' decision not to forward any 
   IDR documents for IESG considerations until the base BGP spec update 
   is finished. With this in mind we need to change

     MAR 03  Submit Extended Communities draft to IESG.

   to

     DONE Submit Extended Communities draft to IESG.

Yakov.

> Dear IDR WG,
> 
>   After some consideration, the Routing Area Directors have decided
> not to forward any IDR documents for IESG consideration until the
> base BGP spec update is finished.[*]  Despite the best efforts of all
> involved, the spec update has been taking an incredible amount of
> time.  We take this step in order to focus all possible resources
> of the WG community on the BGP spec update.
> 
>   This may seem like a negative action.  On the contrary, it is
> meant to support the accomplishment of the working group's goals.[**]
> The milestone for the submission of the BGP4 draft to the IESG
> was scheduled for January 2002.
> 
>   Attached is a proposed update for the IDR working group charter.
> Note that we just made up the dates in the goals and milestones,
> and the WG should come up with realistic ones.
> 
>   Bill and Alex
> 
> [*] "finished" means, in this case, WG consensus, WG Last Call,
> AD Review, IETF Last Call, and IESG approval for publication.
> 
> - - -
> The Inter-Domain Routing Working Group is chartered to standardize
> and promote the Border Gateway Protocol Version 4 (BGP-4) [RFC
> 1771] capable of supporting policy based routing for TCP/IP internets.
> The objective is to promote the use of BGP-4 to support IP version
> 4 and IP version 6. The working group will continue to work on
> improving the scalability of BGP.
> 
> The current tasks of the WG are limited to:
> 
> - Revise and clarify the base BGP4 document (RFC 1771). Note that
> RFC 1771 no longer documents existing practice and one goal of the
> update is document existing practice. Determine whether the document
> can be advanced as full Standard or needs to recycle at Proposed
> or Draft Standard.
> 
> - Submit updated MIBs to accompany the revised base BGP4 document.
> 
> Once these tasks are completed, work will progress on the following:
> 
> - Review and Evaluate Existing RFCs on AS Confederations and Route
> Reflection. If changes are needed, create and advance revisions.
> 
> - Review RFC 2385 (Protection of BGP via TCP MD5 signature) to see
> if any changes need to be made based on current Internet practice
> or based on the changes to the current bgp draft. If changes are
> needed, create an revision. Issue the WG Last Call on advancing
> the document to Draft Standard.
> 
> - Produce an updated MIB for AS Confederations, Route Reflection,
> Communities, Multi-Protocol BGP, etc..
> 
> - Review and evaluate Multiprotocol BGP (RFC 2858) for advancement
> as Draft Standard.
> 
> - Complete work on an Extended Community Attribute. Develop MIB
> for BGP Extended Communities.
> 
> - Extend BGP to support a 4-byte AS number, develop plan for
> transitioning to usage of 4-byte AS numbers
> 
> - Progress along the IETF standards track a BGP-based mechanism
> that allows a BGP speaker to send to its BGP peer a set of route
> filters that the peer would use to constrain/filter its outbound
> routing updates to the speaker. Currently defined in
> draft-ietf-idr-route-filter-03.txt.
> 
> - Progress along standards track an Outbound Router Filter (ORF)
> type for BGP, that can be used to perform aspath based route
> filtering. The ORF-type will support aspath based route filtering
> as well as regular expression based matching for address groups.
> Currently defined in draft-ietf-idr-aspath-orf-00.txt.
> 
> Tasks for this working group are limited to those listed above;
> new items to be added to the charter must be approved by the IESG.
> 
> Goals and Milestones
> 
> DONE    Submit BGP Capability Advertisement to the IESG
> NOV 02  Submit BGP4 document to IESG.
> DEC 02  Submit updated base BGP4 MIB to IESG.
> MAR 03  Submit extensible BGP MIB to IESG.
> MAR 03  Submit Extended Communities draft to IESG.
> MAR 03  Submit 4-byte AS ID to IESG.
> MAR 03  Initial Draft for RFC2858 (if needed)
> MAR 03  BGP TCP MD5 signatures document to IESG.
> MAR 03  Outbound Route Filter, Prefix and ASpath ORF draft to IESG.

---

From: Alex Zinin <[email-masked]>
Date: Fri, 6 Sep 2002 14:57:29 +0200

Yakov,

> Did you get from these folks timeline for when they'll be able to

Yes. Some of them promised to start the review within several
days and I'm already receiving some comments I'm going to proxy-fwd
to the list for consideration. There was also a request to extend
the review period to 4 weeks, as some folks are in deadlines.

Alex

---

From: Yakov Rekhter <[email-masked]>
Date: Mon, 09 Sep 2002 08:17:35 -0700

Bill,

> this team will do its work.

When should we expect you to send the message explaining the details
on how the team will do its work ?

Yakov.

---

From: Alex Zinin <[email-masked]>
Date: Tue, 10 Sep 2002 18:11:01 +0200

Yakov,

> on how the team will do its work ?

Below I include the message that I sent on Sep 5th regarding
this part. To summarize, at this stage I asked the reviewers
to post their comments to the WG list or to us personally
so we can proxy-fwd them to the list.

Alex

This is a forwarded message
From: Alex Zinin <[email-masked]>
To: [email-masked]
Cc: 
Date: Thursday, September 05, 2002, 12:40:23 AM
Subject: BGP spec and IDR WG charter

===8<==============Original message text===============
Folks-

your commets. Please send your comments to the list, or (if you do

Cheers,
Alex

===8<===========End of original message text===========